#pragma once

#include "CoreMinimal.h"
#include "PlayerCurseAbilityData.generated.h"

USTRUCT(BlueprintType)
struct FPlayerCurseAbilityData
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	int32 _curseStack;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	int32 _stackCharging;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _curseValue;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _curseMaxValue;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	int32 _curseMaxStack;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _cursePassiveRate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _requiresDischargeOfStackToRemove;

public:
	DBDKILLERABILITIES_API FPlayerCurseAbilityData();
};

FORCEINLINE uint32 GetTypeHash(const FPlayerCurseAbilityData) { return 0; }
